import java.applet.*;
import java.awt.*;
import java.awt.event.*;

public class CaesarTest extends Applet
  implements ActionListener {

  private TextField caesar, field1, field2, field3, field4, field5;
  private int caesarzahl;
  private Label helpText;

  public void init() {
    setLayout (new FlowLayout() );
    helpText = new Label ("Caesarzahl");
    add(helpText);
    caesar = new TextField("", 3);
    caesar.addActionListener(this);
    add(caesar);
    helpText = new Label ("Text in die Zeile eingeben und RETURN");
    add(helpText);
    field1 = new TextField("", 60);
    field1.addActionListener(this);
    add(field1);
    helpText = new Label ("kleine Buchstaben werden in groe umgewandelt");
    add(helpText);
    field2 = new TextField("", 60);
    field2.addActionListener(this);
    add(field2);
    helpText = new Label ("hier geht es mit der Codierung weiter");
    add(helpText);
    field3 = new TextField("", 60);
    field3.addActionListener(this);
    add(field3);
  setVisible(true);
  }

private char gross (char c)
{ return ((char) (((int) c)-32)); }

private int natuerlicheZahl (String s)
{ int c;
  c=0;
  for ( int i=0;  i<=s.length()-1; i = i + 1 )
    c = c*10 + ((int) s.charAt(i))-48;
  return c;
}

  public void actionPerformed (ActionEvent e) {
    String c = null, s = null,
           t = "";
    Object which = e.getSource();
    if (which==caesar) 
    { // Alternative zur fertigen Methode
      caesarzahl = natuerlicheZahl (caesar.getText());
    }
    if (which==field1)
    {
      s = field1.getText();  // Inhalt von Feld 1 auslesen      t = "";
      for ( int i=0;  i<=s.length()-1; i = i + 1 )
      { if  ((((int) s.charAt(i)) >= 97) && (((int) s.charAt(i)) <= 122))
      // hier eingefgt
        { t = t + gross(s.charAt(i));}
      // hier eingefgt        
        if  ((((int) s.charAt(i)) >= 65) && (((int) s.charAt(i)) <= 90))
        { t = t +  s.charAt(i);}
        if  (s.charAt(i) == '') // nur fr primitive Datentypen ==
        { t = t + "AE";}
        if  (s.charAt(i) == '')
        { t = t + "OE";}
        if  (s.charAt(i) == '')
        { t = t + "UE";}
        if  (s.charAt(i) == '')
        { t = t + "AE";}
        if  (s.charAt(i) == '')
        { t = t + "OE";}
        if  (s.charAt(i) == '')
        { t = t + "UE";}
      };
      field2.setText(t);
      s ="";
      for ( int i=0;  i<=t.length()-1; i = i + 1 )
       s=s + (char)(((((int) t.charAt(i)) - 65 + caesarzahl) % 26) + 65);
    }
      field3.setText(s);
  }
}

// Aufgaben
// kleine Buchstaben in groe wandeln, Umlaute umwandeln
// alle anderen Zeichen entfernen
// nach Caesar codieren mit variabler Verschiebung
// zurckcodieren, d.h. entschlsseln

